Loading...
Searching...
No Matches
nanoflann::RKNNResultSet< _DistanceType, _IndexType, _CountType > Class Template Reference
nanoflann C++ library for KD-trees » Result set classes

`#include <nanoflann.hpp>`

## Public Types

using | DistanceType = _DistanceType
using | IndexType = _IndexType
using | CountType = _CountType

## Public Member Functions

| RKNNResultSet (CountType capacity_, DistanceType maximumSearchDistanceSquared_)
void | init (IndexType *indices_, DistanceType *dists_)
CountType | size () const noexcept
bool | empty () const noexcept
bool | full () const noexcept
bool | addPoint (DistanceType dist, IndexType index)
DistanceType | worstDist () const noexcept
| Returns the worst distance among found solutions if the search result is full, or the maximum possible distance, if not full yet.
void | sort ()

## Detailed Description

template<typename _DistanceType, typename _IndexType = size_t, typename _CountType = size_t>
class nanoflann::RKNNResultSet< _DistanceType, _IndexType, _CountType >

Result set for RKNN searches (N-closest neighbors with a maximum radius)

## Member Function Documentation

## addPoint()

template<typename _DistanceType, typename _IndexType = size_t, typename _CountType = size_t>

bool nanoflann::RKNNResultSet< _DistanceType, _IndexType, _CountType >::addPoint | ( | DistanceType | dist,
|  | IndexType | index )

inline

Called during search to add an element matching the criteria.

Returns
  true if the search should be continued, false if the results are sufficient

If defined and two points have the same distance, the one with the lowest-index will be returned first.

The documentation for this class was generated from the following file:

- include/nanoflann.hpp